# Queries

Workflow [transforms](/reference/workflows/transforms.md) provide the most robust and reproducible mechanism for querying tables on Redivis. However, you can execute SQL queries directly on a table for when you want to perform a quick, one-off analysis. In order to perform a query, you will need [data access](/reference/data-access/access-levels.md#data-access) to the corresponding table.

The **Query** tab on a table contains a SQL editor with scaffolding to reference that table. The query syntax follows the same rules as the [transform SQL query syntax](/reference/workflows/transforms/step-sql-query.md#query-syntax). Additionally query results may not exceed 10GB – if you need to materialize larger results, use a transform for your query.

Choose one of the templates or type your own SQL query, and click the **Run** button to see the results. You can select any column in the query results to view the summary statistics for that column.&#x20;

If you update the query after execution, it will become "stale" (marked in yellow), which is a reminder that the results no longer match the query you are typing. The previous results will still be shown to help inform the new query you are writing.

![Query the table to filter for a particular value, or explore variable correlations via a cross-tab](/files/EqwXbAY07ePUtlzwHr1c)

{% hint style="info" %}
**Accessibility note for keyboard navigation:**\
When you open the query tab, your cursor will be focused on the query editor. To navigate away using the keyboard, first press **Escape**, then press **Tab** to focus with other non-editor elements.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.redivis.com/reference/tables/queries.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
